<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.gpsboot.mapper.maintain.ReppairdetonatorMapper">

    <resultMap id="reppairdetonatorMap" type="com.tofly.pojo.maintain.Reppairdetonator">
        <id property="id" column="ID"/>
        <result property="detonatorReasonId" column="DETONATOR_REASON_ID"/>
        <result property="notes" column="NOTES"/>
        <result property="pipeDiameter" column="PIPE_DIAMETER"/>
        <result property="material" column="MATERIAL"/>
        <result property="tubeAge" column="TUBE_AGE"/>
        <result property="buriedDeep" column="BURIED_DEEP"/>
        <result property="recordId" column="RECORD_ID"/>
        <result property="repairUserId" column="REPAIR_USER_ID"/>
        <association property="detonatorReasonName" column="DETONATOR_REASON_ID" select="com.tofly.gpsboot.mapper.maintain.DetonatorMapper.getDetonatorReasonName"/>
    </resultMap>

</mapper>
